#ifndef SLIB_H

#define SLIB_H

#include "mystyx.h"
#include "fid.h"

#define STYX_OK     1
#define STYX_ERROR -1

#define isDir(fd) (fd.qid.path & DMDIR)


int styx_connect_serial();
int styx_attach(int fid, Qid *rootqid);
int styx_walk(int fd, char* name, Qid *wqid);
int styx_open(int fd, int mode);
int styx_write(int fid, vlong offset, u32int count, char* buffer);
int styx_read(int fid, vlong offset, u32int count, char* buffer);
int styx_stat(int fid, Dir* stat);
int styx_remove(int fid);
int styx_clunk(int fid);
int styx_clone(int fd, int nfd);

#endif
