// JTAG functions.
//
// Version 1.03
//
// Texas Instruments, 2002

#ifndef _JTAG_H_
#define _JTAG_H_

// #defines. ------------------------------------------------------------------

enum {
	J_INSTR,
	J_WORD,
	J_BYTE
};

// Functions. -----------------------------------------------------------------

STATUS_T VerifyPSA(LONG StartAddr, LONG Length, CHAR *DataArray);
STATUS_T testConnect(void);
STATUS_T testConnect_TAPReset(void);
STATUS_T testConnect_NoRelease(void);
STATUS_T PUC(void);
STATUS_T holdWatchdog(void);
STATUS_T setPC(WORD pc);
STATUS_T cycleStart(void);
void	 cycle(WORD data);
STATUS_T cycleEnd(void);
STATUS_T instrLoad(void);
STATUS_T isInstrLoad(void);
WORD	 readMab(void);
WORD	 cntrlSigWord(WORD data);
BYTE	 cntrlSigHighByte(WORD data);
BYTE	 cntrlSigLowByte(BYTE data);
STATUS_T jtagCommand(BYTE Type, WORD Value, WORD* Result);
STATUS_T IsFuseBlown(void);

#endif // _JTAG_H_
